Bug 1125204 - KieContainer stucks in memory after redeployment
Summary: KieContainer stucks in memory after redeployment
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Rules / jBPM integration
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR4
: 6.1.0
Assignee: David Ward
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 10:08 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2241 Major Resolved KieContainer stucks in memory after redeployment 2014-12-03 23:11:43 UTC

Description Tomas Rohovsky 2014-07-31 10:08:50 UTC
Having following scenario:

Deploy a SY application containing a KieContainer based component. Invoke the service on the component. Undeploy the application. Modify the KieModule it uses and install it to Maven repo. Deploy the application again. Invoke the service on the component. The KieContainer hasn't scanned for the updated KieModule and has loaded the KieModule that was loaded during previous deployment.

How to reproduce:
Use a reproducer from SWITCHYARD-2240.

mvn verify - you will see "expected:<[Modified ]Ciao second!> but was:<[]Ciao second!>"
mvn verify - you will see "expected:<[]Hello first!> but was:<[Modified ]Hello first!>" instead of the previous message

If you restart a server between runs, then it works as expected (doesn't work as expected ).

It might be related to SWITCHYARD-2037.

Comment 1 JBoss JIRA Server 2014-12-03 23:11:44 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-2241 to Resolved


Note You need to log in before you can comment on or make changes to this bug.